Bug Hunting Session
Bug 55344 - Document windows open in the middle of screen and not next to previously opened window
Summary: Document windows open in the middle of screen and not next to previously open...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86-64 (AMD64) Linux (All)
: high minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Desktop-Environment
  Show dependency treegraph
 
Reported: 2012-09-26 05:52 UTC by Martin Senftleben
Modified: 2017-09-05 11:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
New window placement - after workaround (257.82 KB, image/jpeg)
2013-06-10 20:58 UTC, Joel Madero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Senftleben 2012-09-26 05:52:30 UTC
As my screen offers space, I want to use it economically. Hence, windows are placed in top-left corner, spreading towards bottom-right (naturally). LibreOffice always followed that and placed its windows there, and all following documents were placed just tiled, i.e. so that the title bar of the underlying document was visible. Now, it always opens documents in the middle of the screen, which forces me to move the window to the desired place.
I cannot say for sure that this behaviour is caused by LO, but I believe so, as other apps behave as expected. i use Kubuntu 12.4, 64 bit.
Comment 1 Joel Madero 2013-06-10 17:43:14 UTC
Hm - I tested this with 4.0.0.3 release & 4.2 master and both worked as expected with what you said.

Marking as WFM - if you still have this problem with version 4 please let us know what version you are running and set bug status back to UNCONFIRMED.

My specs:
Bodhi Linux
Enlightenment (E17)
LibreOffice Version 4.0.0.3 release & 4.2 master

Thanks for your patience and reporting!
Comment 2 Martin Senftleben 2013-06-10 20:44:28 UTC
Problem is still there, now with Kubuntu 13.4, 64 bit, and LibreOffice Version 4.0.2.2 (Build ID: 400m0(Build:2))
Comment 3 Joel Madero 2013-06-10 20:49:12 UTC
@Martin - can you backup your profile and try with a fresh profile? I most definitely am seeing the behavior you say you expect with a fresh profile:

I open LibreOffice and it opens fullscreen first time
Set to "restore" - ie. non fullscreen
Move to upper left screen
Ctrl + n

Next window is slightly below first window so you can see the title bar of first window, 2nd window is same size as first one

https://wiki.documentfoundation.org/UserProfile

Perhaps a screenshot would help from my side, will try to attach it in a moment
Comment 4 Joel Madero 2013-06-10 20:50:42 UTC
okay - so now I'm reproducing your issue - every time it's fullscreen & not in correct placement - will play around with it further
Comment 5 Joel Madero 2013-06-10 20:55:45 UTC
okay new test - try to 

move the startup menu (where all components are listed) to the place you want the first document to be, 
then click on Writer - it should be in the right location, 
now do ctrl + n

see where new document goes

if it's in the wrong place do ctrl + w
this should close the document

now do ctrl + n again

When I was playing around with it, this solved it permanently until I did a fresh profile again, where it broke again but the same steps fixed it

If this works, this is indeed a bug but the workaround should help in your case
Comment 6 Joel Madero 2013-06-10 20:58:07 UTC
Created attachment 80640 [details]
New window placement - after workaround
Comment 7 Martin Senftleben 2013-06-11 04:09:57 UTC
Joel, 

thanks for your efforts! We crossed posts, it seems, so I try to answer to your suggestions one by one.

1. creating a new profile seems to work to some extent, however it opens always a full screen window, which is also not what I want. When I click on the "maximize" button, the window will shrink to the desired location.
2. Placing the start menu into the upper left corner helps for the first document, but not for the following. All following documents will agin be opend in the middle of the screen.

That's about it. So it should be a problem in the profile. But where are such settings hidden? And how did they get there?
Comment 8 Joel Madero 2013-06-12 02:54:09 UTC
Ah interesting - so I had the fullscreen issue but after playing around with the maximize, minimize, placement etc...that went away (still a bug but for me that issue is no longer present)

#2 sounds like your original bug yes? You start one document, it's in the right place but then from then on it's in the middle - quite annoying

So a couple things - I recommend continuing to play around with the placement - especially continuing to move the start screen that shows all the components, make sure that is not fullscreen BEFORE opening a component, essentially put that exactly where you want it, non full screened, etc... then start writer, then do ctrl + n, if the next document is incorrectly placed close the one that is centered and do ctrl + n again. 

If you play around with it enough I think you'll sooner or later get what you are looking for. If you're saying that untitled 1 starts correctly, untitled 2 is placed correctly but then every subsequent file is wrong, close the first one that is wrong, and then do ctrl + n again. It's very strange but once you get it right it seems to be right from that point forward.

I just tried again with a fresh profile and it indeed worked. I moved the startup screen to the upper left, resized it slightly (made it smaller), selected writer, did ctrl + n, it was wrongly placed, closed that window, did ctrl + n again, and it was right, and now is right every time.

Tempted to mark this as NEW already but want to see if you get the workaround working first
Comment 9 Martin Senftleben 2013-06-12 04:12:25 UTC
Hi Joel,

thanks for your reply. I played around, but couldn't make it to work right. When starting Libreoffice and placing the start screen in the right position, the first window is placed okay, but the following are always placed in the middle of the screen, no matter what I do (putting it in the right position, closing it, opening an new one, or leaving it in the wrong position and closing it, etc.)
The start screen also always positions itself in the middle, which is ok of course, but it indicates the LO doesn't remember anything of the previous window positions.
Comment 10 Joel Madero 2013-06-12 05:55:12 UTC
And what did you mean about the new profile "seems to work to some extent" - how is it better than before? 

Now I'm questioning if I have indeed confirmed the issue. I think I have read another bug which said something about Windows randomly being placed ( I know this isn't random but surely related if that bug truly exists...I read so many bug reports sometimes I think I make up some in my head ;) )

But, all of this being said, I confirmed the bug the first time so something is def. going on.

Marking as:
New (confirmed)
High (doesn't prevent high quality work but most definitely can slow it down)
Medium (window placement affects all users so raising it from default low importance to medium)


@Martin - did this happen with 3.6 as well? If not maybe we can get a bibisect and figure out what's going on
Comment 11 QA Administrators 2015-03-17 00:05:50 UTC Comment hidden (obsolete)
Comment 12 tommy27 2016-04-16 07:23:09 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2017-05-22 13:22:48 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522